@charset "UTF-8";

/*==========================
    - 〜479px      ：SP portrait
    - 480px〜599px ：SP landscape
    - 600px〜959px ：tablet
    - 960px〜1279px：small PC
    - 1280px〜     ：large PC
    - 1400px〜     ：largest PC
==========================*/
/* 〜479px：SP portrait
------------------------------ */
/***************************
    container
***************************/
#title-bar {
  z-index: 3;
  background-image: url(../img/h1_sp.png);
}

#block-intro {
  z-index: 2;
}

#block-intro>.bg {
  background: url(../img/intro_bg1_sp.png) left top no-repeat;
  background-size: 100%;
}

#block-intro>.bg:before {
  height: calc(100% + 60px);
  top: auto;
  bottom: -60px;
  background: url("../img/intro_bg2_sp.png") bottom no-repeat;
  background-size: 100%;
}

#block-intro>.inner {
  padding: 20px 0 60px;
}

#block-curriculum {
  z-index: 1;
}

#block-curriculum>.bg {
  background: #fbfbfb;
}

#block-curriculum>.bg:before {
  height: calc(100% + 60px);
  top: auto;
  bottom: -60px;
  background: url("../img/curriculum_bg_sp.png") bottom no-repeat;
  background-size: 100%;
}

#block-curriculum>.inner {
  padding: 37px 0 65px;
}

#block-curriculum h2 {
  margin: 0 0 35px;
}

#block-curriculum .box+.box {
  margin: 50px 0 0;
}

#block-curriculum .box h3 {
  margin: 0 0 10px;
  font-size: 15px;
}

#block-curriculum .box .lead {
  margin: 0 auto 10px;
}

#block-curriculum .box .feature {
  border: 1px solid #cecece;
  background: #fff;
}

#block-curriculum .box .feature h4 {
  line-height: 40px;
  text-align: center;
  color: #fff;
}

#block-curriculum .box .feature .text {
  padding: 12px;
  border-top: 1px solid #cecece;
}

#block-curriculum .box .feature .text li {
  list-style: disc;
  margin-left: 1.5em;
}

#block-curriculum .box table {
  width: 100%;
  margin: 10px auto 0;
  background: #fff;
  border-collapse: collapse;
}

#block-curriculum .box table th {
  width: 29.411764705882355%;
  padding: 12px 0;
  font-size: 11px;
  text-align: center;
  vertical-align: middle;
  border: 1px solid #cecece;
}

#block-curriculum .box table td {
  width: 70.58823529411765%;
  padding: 12px 8px;
  font-size: 12px;
  vertical-align: middle;
  border: 1px solid #cecece;
}

#block-curriculum .box table tr:nth-child(1) td {
  color: #fff;
}

#block-curriculum .box>figure {
  width: 100%;
  margin: 10px auto 0;
}

#block-curriculum .box.basic h3 {
  color: #5ab551;
}

#block-curriculum .box.basic .feature h4 {
  background: #5ab551;
}

#block-curriculum .box.basic table th {
  color: #5ab551;
}

#block-curriculum .box.basic table tr:nth-child(1) td {
  background: #5ab551;
}

#block-curriculum .box.basic table tr:nth-child(2) td {
  color: #5ab551;
  background: #ebf4e6;
}

#block-curriculum .box.basic02 h3 {
  color: #2ea7e0;
}

#block-curriculum .box.basic02 .feature h4 {
  background: #2ea7e0;
}

#block-curriculum .box.basic02 table th {
  color: #2ea7e0;
}

#block-curriculum .box.basic02 table tr:nth-child(1) td {
  background: #2ea7e0;
}

#block-curriculum .box.basic02 table tr:nth-child(2) td {
  /*color: #2ea7e0;*/
  background: #d3e6f6;
}

#block-curriculum .box.middle h3 {
  color: #ed782b;
}

#block-curriculum .box.middle .feature h4 {
  background: #ed782b;
}

#block-curriculum .box.middle table th {
  color: #ed782b;
}

#block-curriculum .box.middle table tr:nth-child(1) td {
  background: #ed782b;
}

#block-curriculum .box.middle table tr:nth-child(2) td {
  color: #ed782b;
  background: #fcecde;
}

#block-curriculum .box.advanced h3 {
  color: #733b92;
}

#block-curriculum .box.advanced .feature h4 {
  background: #733b92;
}

#block-curriculum .box.advanced table th {
  color: #733b92;
}

#block-curriculum .box.advanced table tr:nth-child(1) td {
  background: #733b92;
}

#block-curriculum .box.advanced table tr:nth-child(2) td {
  color: #733b92;
  background: #e8e0ef;
}

#block-cost>.bg {
  background: url(/programming/general/img/bg_gray_box.jpg);
  background-size: 103.5px 178.5px;
}

#block-cost>.inner {
  padding: 27px 0 65px;
}

#block-cost h2 {
  margin: 0 0 30px;
}

#block-cost table {
  width: 100%;
  border-collapse: collapse;
}

#block-cost table th {
  width: 29.411764705882355%;
  padding: 12px 0;
  line-height: 16px;
  font-size: 11px;
  color: #fff;
  text-align: center;
  vertical-align: middle;
  background: #ed798e;
  border: 1px solid #cecece;
}

#block-cost table td {
  width: 70.58823529411765%;
  padding: 12px 8px;
  line-height: 16px;
  font-size: 12px;
  vertical-align: middle;
  background: #fff;
  border: 1px solid #cecece;
}

/* 480px〜599px：SP landscape
------------------------------ */
@media screen and (min-width: 414px) {
  /***************************
      container
  ***************************/
}

/* 600px〜959px：tablet
------------------------------ */
@media screen and (min-width: 600px) {
  /***************************
      container
  ***************************/
}

/* 960px〜1279px：small PC
------------------------------ */
@media screen and (min-width: 960px) {

  /***************************
      container
  ***************************/
  #title-bar {
    background-image: url(../img/h1_pc.png);
  }

  #block-intro>.bg {
    background: url(../img/intro_bg1.png) center center no-repeat;
    background-size: cover;
  }

  #block-intro>.bg:before {
    height: calc(100% + 234px);
    bottom: -234px;
    background-image: url("../img/intro_bg2.png");
  }

  #block-intro>.inner {
    padding: 40px 0 120px;
  }

  #block-curriculum>.bg:before {
    height: calc(100% + 145px);
    bottom: -145px;
    background-image: url("../img/curriculum_bg.png");
  }

  #block-curriculum>.inner {
    padding: 80px 0 120px;
  }

  #block-curriculum h2 {
    margin: 0 0 50px;
  }

  #block-curriculum .box+.box {
    margin: 70px 0 0;
  }

  #block-curriculum .box h3 {
    margin: 0 0 20px;
    font-size: 26px;
  }

  #block-curriculum .box .lead {
    margin: 0 auto 20px;
  }

  #block-curriculum .box .feature {
    display: table;
    width: 950px;
    margin: 0 auto;
    border: 2px solid #cecece;
  }

  #block-curriculum .box .feature h4 {
    display: table-cell;
    width: 193px;
    font-size: 16px;
    vertical-align: middle;
    text-align: center;
  }

  #block-curriculum .box .feature .text {
    width: 757px;
    padding: 24px 30px;
    border-top: none;
    border-left: 2px solid #cecece;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
  }

  #block-curriculum .box table {
    width: 950px;
    margin: 30px auto 0;
  }

  #block-curriculum .box>figure {
    width: 950px;
    margin: 30px auto 0;
  }

  #block-curriculum .box table th {
    padding: 30px 0;
    font-size: 18px;
    border: 2px solid #cecece;
  }

  #block-curriculum .box table th:nth-child(1) {
    width: 193px;
  }

  #block-curriculum .box table th:nth-child(2) {
    width: 223px;
  }

  #block-curriculum .box table th:nth-child(3) {
    width: 532px;
  }

  #block-curriculum .box table td {
    width: auto;
    font-size: 16px;
    vertical-align: middle;
    border: 2px solid #cecece;
  }

  #block-curriculum .box table td:nth-child(1) {
    color: #fff !important;
  }

  #block-curriculum .box table td:nth-child(1),
  #block-curriculum .box table td:nth-child(2) {
    padding: 30px 0;
    text-align: center;
  }

  #block-curriculum .box table td:nth-child(3) {
    padding: 30px;
  }

  #block-curriculum .box.basic table td {
    background: #fff !important;
  }

  #block-curriculum .box.basic table td:nth-child(1) {
    background: #5ab551 !important;
  }

  #block-curriculum .box.basic table td:nth-child(2) {
    color: #5ab551;
    background: #ebf4e6 !important;
  }

  #block-curriculum .box.basic02 table td {
    background: #fff !important;
  }

  #block-curriculum .box.basic02 table td:nth-child(1) {
    background: #2ea7e0 !important;
  }

  #block-curriculum .box.basic02 table td:nth-child(2) {
    background: #d3e6f6 !important;
  }

  #block-curriculum .box.middle table td {
    background: #fff !important;
  }

  #block-curriculum .box.middle table td:nth-child(1) {
    background: #ed782b !important;
  }

  #block-curriculum .box.middle table td:nth-child(2) {
    color: #ed782b;
    background: #fcecde !important;
  }

  #block-curriculum .box.advanced table td {
    background: #fff !important;
  }

  #block-curriculum .box.advanced table td:nth-child(1) {
    background: #733b92 !important;
  }

  #block-curriculum .box.advanced table td:nth-child(2) {
    color: #733b92;
    background: #e8e0ef !important;
  }

  #block-cost>.bg {
    background-size: 188px 324px;
  }

  #block-cost>.inner {
    padding: 37px 0 120px;
  }

  #block-cost h2 {
    margin: 0 0 50px;
  }

  #block-cost .col {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    width: 950px;
    margin: 0 auto;
  }

  #block-cost .col table {
    width: 465px;
    margin: 0;
  }

  #block-cost .col table th {
    width: 164px;
    padding: 16px 0;
    line-height: 20px;
    font-size: 14px;
    border: 2px solid #cecece;
  }

  #block-cost .col table td {
    width: 301px;
    padding: 16px 12px;
    line-height: 20px;
    font-size: 14px;
    border: 2px solid #cecece;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
  }
}

/* 1280px〜：large PC
------------------------------ */
@media screen and (min-width: 1280px) {
  /***************************
      container
  ***************************/
}

/* 1400px〜：largest PC
------------------------------ */
@media screen and (min-width: 1400px) {
  /***************************
      container
  ***************************/
}

/* 20240220 追記 */
@media screen and (min-width: 768px) {
  .pc-only {
    display: block !important;
  }

  .sp-only {
    display: none !important;
  }
}

@media screen and (max-width: 767px) {
  .pc-only {
    display: none !important;
  }

  .sp-only {
    display: block !important;
  }
}

.pagelink {
	width: 92%;
	max-width: 1100px;
	margin: 0 auto 50px;
}
@media screen and (min-width: 768px) {
  .pagelink__inner {
    display: flex;
    flex-wrap: wrap;
  }

  .pagelink__item {
    width: 32%;
    margin-right: 2%;
    margin-bottom: 20px;
  }

  .pagelink__item:nth-child(3) {
    margin-right: 0;
  }
}

@media screen and (max-width: 767px) {
  .pagelink__item:not(:last-child) {
    margin-bottom: 10px;
  }
}

#block-curriculum .box.middle2 h3 {
  color: #dd5982;
}

#block-curriculum .box.middle2 .feature h4 {
  background: #dd5982;
}

#block-curriculum .box.middle2 table th {
  color: #dd5982;
}

#block-curriculum .box.middle2 table tr:nth-child(1) td {
  background: #dd5982;
}

#block-curriculum .box.middle2 table tr:nth-child(2) td {
  color: #dd5982;
  background: #ffecf2;
}

@media screen and (min-width: 960px) {
  #block-curriculum .box.middle2 table td {
    background: #fff !important;
  }

  #block-curriculum .box.middle2 table td:nth-child(1) {
    background: #dd5982 !important;
  }

  #block-curriculum .box.middle2 table td:nth-child(2) {
    color: #dd5982;
    background: #ffecf2 !important;
  }
}